<?php

namespace HulkPlugins\ElementorPro\Forms\AdvancedFields\Fields\Month;

use HulkPlugins\ElementorPro\Forms\AdvancedFields\Fields\FieldBase;
use const HulkPlugins\ElementorPro\Forms\AdvancedFields\PREFIX;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Field extends FieldBase {

	public $depended_styles = [ 'flatpickr', PREFIX . 'Month' ];
	public $depended_scripts = [ PREFIX . 'Month' ];

	protected bool $showStyleTab = false;

	/**
	 * Get field type.
	 * @return string
	 */
	public function get_type(): string {
		return PREFIX . 'native_month';
	}

	/**
	 * Get field name.
	 * @return string
	 */
	public function get_name(): string {
		return esc_attr__( 'Month', 'advanced-fields-for-elementor-forms' );
	}
}
